> ## Documentation Index
> Fetch the complete documentation index at: https://docs-docflow.textin.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 重新处理文件

> 重新处理文件。



## OpenAPI

````yaml /docflow/cn/rest-api/openapi.bundle.yaml post /api/app-api/sip/platform/v2/file/retry
openapi: 3.0.0
info:
  title: DocFlow API
  description: DocFlow REST API，提供文件上传和获取文件处理结果能力
  version: 2.8.4
servers:
  - url: https://docflow.textin.com
security:
  - ApiId: []
    SecretCode: []
paths:
  /api/app-api/sip/platform/v2/file/retry:
    post:
      summary: 重新处理文件
      description: 重新处理文件。
      operationId: retryFile
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                workspace_id:
                  type: string
                  description: 空间ID
                  example: 1234567890
                task_id:
                  type: string
                  description: 任务ID
                  example: 1234567890
                parser_params:
                  $ref: '#/components/schemas/DocumentParserParam'
              required:
                - workspace_id
                - task_id
      responses:
        '200':
          description: 成功重新处理文件
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/CodeMessage'
components:
  schemas:
    DocumentParserParam:
      type: object
      properties:
        formula_level:
          type: integer
          description: 公式识别等级(0 行间公式和行内公式都识别、1 仅识别行间公式，行内公式不识别、2 不识别公式)
          example: 0
        apply_merge:
          type: integer
          description: 跨页段落表格合并(0 不合并、1 合并)
          example: 1
        table_text_split_mode:
          type: integer
          description: 切分被表格线穿过的文本块(0 不切分、1 切分)
          example: 0
        crop_dewarp:
          type: integer
          description: 是否进行切边矫正(0 不进行切边矫正、1 进行切边矫正)
          example: 0
        remove_watermark:
          type: integer
          description: 是否去水印(0 不去水印、1 去水印)
          example: 0
        dpi:
          type: integer
          description: 文件分辨率(144 默认、216 高精度)
          example: 144
          enum:
            - 144
            - 216
        parse_mode:
          type: string
          description: |
            解析模式
            - `auto`: 自动（默认）
            - `scan`: 扫描件模式
            - `vlm`: VLM模式
          example: auto
          enum:
            - auto
            - scan
            - vlm
        pdf_pwd:
          type: string
          description: PDF文件密码，用于解密加密的PDF文件
    CodeMessage:
      type: object
      properties:
        code:
          type: integer
          description: 状态码
          example: 200
        msg:
          type: string
          description: 状态描述
      required:
        - code
        - msg
  securitySchemes:
    ApiId:
      type: apiKey
      in: header
      name: x-ti-app-id
    SecretCode:
      type: apiKey
      in: header
      name: x-ti-secret-code

````